package com.ruoyi.system.service.task.impl;

import com.ruoyi.system.domain.task.TkCommonQianpi;
import com.ruoyi.system.domain.task.TkCommonQianpiExample;
import com.ruoyi.system.listener.MyBaseService;
import com.ruoyi.system.mapper.task.TkCommonQianpiMapper;
import com.ruoyi.system.service.BaseServiceImpl;
import com.ruoyi.system.service.task.TkCommonQianpiService;
import org.apache.commons.lang3.StringUtils;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
* @author Cesar
* @date  ${cTime}
* @desc TkCommonQianpiService实现
*/
@Service
@MyBaseService
public class TkCommonQianpiServiceImpl extends BaseServiceImpl<TkCommonQianpiMapper, TkCommonQianpi, TkCommonQianpiExample> implements TkCommonQianpiService {

    private static final Logger LOGGER = LoggerFactory.getLogger(TkCommonQianpiServiceImpl.class);

    @Override
    public void deleteByTaskId(String taskId) {
        if (StringUtils.isBlank(taskId)){
            return;
        }
        TkCommonQianpiExample example = new TkCommonQianpiExample();
        example.createCriteria().andTkIdEqualTo(taskId);
        this.deleteByExample(example);
    }
}